# Generated by Django 3.2.5 on 2021-07-27 01:12

from django.db import migrations, models
import django.db.models.deletion
import reports.models


class Migration(migrations.Migration):

    dependencies = [
        ('reports', '0003_auto_20210722_0714'),
    ]

    operations = [
        migrations.AlterModelOptions(
            name='errorslog',
            options={'get_latest_by': 'created'},
        ),
        migrations.AlterModelOptions(
            name='reportlog',
            options={'get_latest_by': 'created'},
        ),
        migrations.CreateModel(
            name='Input',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=250)),
                ('file', models.FileField(blank=True, null=True, upload_to=reports.models.report_input_directory_path)),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('updated', models.DateTimeField(auto_now=True)),
                ('report', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='input', to='reports.report')),
            ],
        ),
    ]
